Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Resolved]Don't upgrade to OwnCloud 4.5.0
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1263
Location: Adelaide/Australia

PostPosted: Thu Oct 11, 2012 12:32 pm    Post subject: [Resolved]Don't upgrade to OwnCloud 4.5.0 Reply with quote

It simply doesn't work.

Class 'PasswordHash' not found in /var/www/localhost/htdocs/owncloud/lib/public/share.php

Once you insert a
Code:
require_once 'phpass/PasswordHash.php';
at roughly line 27 of /var/www/localhost/htdocs/owncloud/lib/public/share.php, simply to get the thing to display, contacts seem to be ok but calendars refuse to show any entries.

I suspect a database upgrade step has gone missing somewhere.

At least, this is my experience.

Edit: Do a BACKUP before upgrading and have a proven strategy to recover that data. I didn't and had to spend hours recovering :)
_________________
...Lyall


Last edited by lyallp on Sat Oct 13, 2012 4:43 am; edited 1 time in total
Back to top
View user's profile Send private message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1263
Location: Adelaide/Australia

PostPosted: Sat Oct 13, 2012 4:43 am    Post subject: Reply with quote

I managed to get 4.5 to work by doing a clean install and re-loading all my data.
Apparently there is a change in the content of config.php which is incompatible.
_________________
...Lyall
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum